<?php
	include("../Funciones.php");
	include("../funcion/funciones.php");
  	include("../clases/BDConexion.php");
  	include("../clases/clsclinico.php");
	session_start();
  	$objclinico = new clsclinico;
	$fecha_med=extraerfechamysql($fecha_med);
	
	$cod_aten_ultimo=$objclinico->GrabarAtencionMedica($docid,$medico,$tratomed,$anamnesis,$signos_sint,$lugaraten,$diagnostico,$fecha_med,$peso_per,$edad_per,$n_caso,$hora,$tratamiento,$diagnostico2,$diagnostico3,$codsie1,$codsie2,$codsie3,$proc,$material);
		
	if (isset($medicina_aten)){
  	while(list($clave,$valor)=each($medicina_aten)){
		
		$cod_medi=$valor[0];
		$medicina=$valor[1];
		$cantidad=$valor[2];
		$um=$valor[3];
		$costo=$valor[4];
		
		$objclinico->InsertDetalleAtencionMedica($cod_aten_ultimo,$valor[0],$cantidad,$um,$costo);		
		
		$res = $objclinico->DevolverUltimoProcesoKardexMed($valor[0]);
	 			if($fila=$objclinico->NextRow($res)){
				$codKardex = $fila['cod_kardex_med'];
				$codmed = $fila['cod_med'];
				$saldoini = $fila['saldo_actual'];
				$ingreso = 0;
				$salida = $valor[2];
				$saldo_actual  =  $fila['saldo_actual'] - $salida;
	     		}else{
				$resmedica = $objclinico->DevolverUltimoProcesoKardexMedicina($valor[0]);
				$filamedica=$objclinico->NextRow($resmedica);
				 $saldoini = $filamedica['stock'];
				 $ingreso = 0;
				 $salida = $valor[2];				 
				 $saldo_actual = $saldoini - $salida;			 
				} 				 
		 $objclinico->InsertarKardexAten($valor[0],$saldoini,$ingreso,$salida,$saldo_actual,$fecha_med,'A',$n_caso,$costo,'S',$um,$lugaraten);
		 $objclinico->UpdateStockMedicina1($valor[0],$saldo_actual);
		 }
	}
	$objclinico->ActalizaNumPedMed($n_caso,'numero_atencion');
	Redirigir("../atenciones_medicas.php?borrar=1&aler=1"); 
?>